{*------------------------------------------------------------------------------
 Unit de gestion du dictionnaire.

 @Author    Thierry LABORDE
-------------------------------------------------------------------------------}
unit UGestionDico;

interface

uses
  Classes, SysUtils, Forms, Dialogs, StrUtils;

type
  TDico = class  // Class contenant les lettres et le dessin correspondant
    Lettre:String;
    Dessin:String;
  end;

function ChargeDico: Boolean;

var
  ListeDico:Tlist;

implementation


{*------------------------------------------------------------------------------
  Fonction pour charger le fichier dictionnaire

  @return   Renvoi True si le chargement c'est bien pass, sino False
-------------------------------------------------------------------------------}
function ChargeDico: Boolean;
var
  FichierDico:textfile;
  Ligne:String;
  Fichier:String;
  LigneDico:Tdico;
  iPos:integer;
begin
  Result:=True;
  Fichier:=Application.Title+'.dico';
  if FileExists(Fichier) and (ListeDico<>nil) then
  begin
    ListeDico.Clear;
    assignfile(FichierDico,Fichier);
    Try
      reset(FichierDico);
      while not eof(FichierDico) do
      begin
        readln(FichierDico,Ligne);
        if pos('=',Ligne)<>0 then
        begin
          LigneDico:=TDico.Create;
          iPos := Pos('=',Ligne);
          LigneDico.Lettre := LeftStr(Ligne,iPos - 1);
          LigneDico.Dessin := RightStr(Ligne,Length(Ligne) - iPos);
          ListeDico.Add(LigneDico);
        end;
      end;
    except
      Result:=False;
    end;
    closefile(FichierDico);
  end
  else
  begin
    Result:=False;
    Showmessage('Problme lors du chargement du dictionnaire, vrifez votre installation !!!');
  end;
end;


end.
